[telegnome] Port away from gnome-common (Debian bug #829851)
- From: Colin Watson <cjwatson src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [telegnome] Port away from gnome-common (Debian bug #829851)
- Date: Wed, 6 Jul 2016 00:13:30 +0000 (UTC)
commit 391c7c1d6c2756f6eeac82dcc6315bb1dd63c9a6
Author: Colin Watson <cjwatson debian org>
Date: Wed Jul 6 01:01:54 2016 +0100
Port away from gnome-common (Debian bug #829851)
* autogen.sh: Replace with version from
https://wiki.gnome.org/Projects/GnomeCommon/Migration#autogen.sh, minus
the call to gtkdocize.
* configure.ac: Drop GNOME_COMMIT_INIT. Add
AX_REQUIRE_DEFINED (for YELP_HELP_INIT) and AX_IS_RELEASE. Replace
GNOME_DEBUG_CHECK with AX_CHECK_ENABLE_DEBUG. Replace
GNOME_COMPILE_WARNINGS with AX_COMPILER_FLAGS.
autogen.sh | 46 +++++++++++++++++++++++++++++++---------------
configure.ac | 8 +++++---
2 files changed, 36 insertions(+), 18 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 800d3a0..8f2a5a0 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,23 +1,39 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=$(pwd)
-PKG_NAME="TeleGNOME"
+cd $srcdir
-(test -f $srcdir/configure.ac \
- && test -d $srcdir/src \
- && test -f $srcdir/src/main.vala) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level $PKG_NAME directory"
- exit 1
+(test -f configure.ac) || {
+ echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+ exit 1
}
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME SVN"
- exit 1
-}
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** '$0' command line." >&2
+ echo "" >&2
+fi
+
+aclocal --install || exit 1
+glib-gettextize --force --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install || exit 1
+
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
-mkdir -p m4
-. gnome-autogen.sh
+ if [ "$1" = "--help" ]; then exit 0 else
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi
diff --git a/configure.ac b/configure.ac
index 5719cbb..bfaae8c 100644
--- a/configure.ac
+++ b/configure.ac
@@ -9,9 +9,11 @@ AM_INIT_AUTOMAKE([dist-xz no-dist-gzip])
AM_MAINTAINER_MODE
m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
-GNOME_COMMON_INIT
-GNOME_DEBUG_CHECK
-GNOME_COMPILE_WARNINGS([maximum])
+AX_REQUIRE_DEFINED([YELP_HELP_INIT])
+
+AX_IS_RELEASE([git-directory])
+AX_CHECK_ENABLE_DEBUG([yes], [GNOME_ENABLE_DEBUG])
+AX_COMPILER_FLAGS
YELP_HELP_INIT
GLIB_GSETTINGS
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]